RFC High Current Power Inductors

Coilcraft RFC High Current Power Inductors are cost-effective, high-efficiency options for choke applications with AEC-Q200 compliance. The RFC inductors feature a wide range of inductance values (12µH to 18mH), direct current resistant ratings from 0.035Ω to 51.0Ω, a self-resonant frequency range of 0.10MHz to 20MHz, and a -40°C to +85°C ambient temperature range. Coilcraft RFC High Current Power Inductors are RoHS compliant and halogen free.

Results: 100
Select Image Part # Mfr. Description Datasheet Availability Pricing (DKK) Filter the results in the table by unit price based on your quantity. Qty. RoHS ECAD Model Type Termination Style Package/Case Shielding Inductance Tolerance Maximum DC Current Maximum DC Resistance Saturation Current Minimum Operating Temperature Maximum Operating Temperature Self Resonant Frequency Termination Mounting Style Length Height Diameter Core Material Series Packaging
Coilcraft Power Inductors - Leaded 820uH UnShld 10% 420mA 2.6ohms 181In Stock
6,99 kr.
5,89 kr.
5,34 kr.
4,18 kr.
Min.: 1
Mult.: 1
Wirewound Radial 8.8 mm x 7.5 mm Unshielded 820 uH 10 % 420 mA 2.6 Ohms 820 mA - 40 C + 85 C 2.1 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Power Inductors - Leaded 100uH UnShld 10% 1.7A 210mOhms 8In Stock
450On Order
9,85 kr.
8,43 kr.
7,61 kr.
5,94 kr.
Min.: 1
Mult.: 1
Wirewound Radial 9.5 mm x 11.5 mm Unshielded 100 uH 10 % 1.7 A 210 mOhms 2.43 A - 40 C + 85 C 5 MHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Power Inductors - Leaded 33uH UnShld 10% 3A 75mOhms 1.286In Stock
9,85 kr.
8,43 kr.
7,61 kr.
5,94 kr.
Min.: 1
Mult.: 1
Wirewound Radial 9.5 mm x 11.5 mm Unshielded 33 uH 10 % 3 A 75 mOhms 4.25 A - 40 C + 85 C 9 MHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Power Inductors - Leaded 330uH UnShld 10% 1A 600mOhms 428In Stock
9,85 kr.
8,43 kr.
7,61 kr.
5,94 kr.
Min.: 1
Mult.: 1
Wirewound Radial 9.5 mm x 11.5 mm Unshielded 330 uH 10 % 1 A 600 mOhms 1.4 A - 40 C + 85 C 2.6 MHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Power Inductors - Leaded 100uH UnShld 10% 2.15A 150mOhms 298In Stock
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 100 uH 10 % 2.15 A 150 mOhms 3.27 A - 40 C + 85 C 4.7 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 1 mH UnShld 10% 700mA 1.4ohms 539In Stock
600Expected 05/01/2027
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 1 mH 10 % 700 mA 1.4 Ohms 1.07 A - 40 C + 85 C 1.5 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 10 mH UnShld 10% 210mA 15.5ohms 6In Stock
150Expected 04/01/2027
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 10 mH 10 % 210 mA 15.5 Ohms 330 mA - 40 C + 85 C 430 kHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 1.2 mH UnShld 10% 610mA 1.85ohms 274In Stock
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 1.2 mH 10 % 610 mA 1.85 Ohms 960 mA - 40 C + 85 C 1.3 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 15 mH UnShld 10% 170mA 19.5ohms 200In Stock
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 15 mH 10 % 170 mA 19.5 Ohms 280 mA - 40 C + 85 C 380 kHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 1.8 mH UnShld 10% 500mA 2.75ohms 262In Stock
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 1.8 mH 10 % 500 mA 2.75 Ohms 770 mA - 40 C + 85 C 1.1 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 18 mH UnShld 10% 150mA 25ohms 110In Stock
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 18 mH 10 % 150 mA 25 Ohms 240 mA - 40 C + 85 C 330 kHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 330uH UnShld 10% 1.18A 500mOhms 134In Stock
150Expected 09/11/2026
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 330 uH 10 % 1.18 A 500 mOhms 1.84 A - 40 C + 85 C 2.6 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 390uH UnShld 10% 1.12A 560mOhms 109In Stock
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Radial Unshielded 390 uH 10 % 1.12 A 560 mOhms - 40 C + 85 C 2.4 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 470uH UnShld 10% 1A 725mOhms 4In Stock
300Expected 05/02/2027
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 470 uH 10 % 1 A 725 mOhms 1.53 A - 40 C + 85 C 2.1 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 4.7 mH UnShld 10% 320mA 6.95ohms 102In Stock
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 4.7 mH 10 % 320 mA 6.95 Ohms 480 mA - 40 C + 85 C 610 kHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 5.6 mH UnShld 10% 300mA 7.75ohms 136In Stock
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Radial Unshielded 5.6 mH 10 % 300 mA 7.75 Ohms - 40 C + 85 C 570 kHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 1 mH UnShld 10% 400mA 3ohms
418Expected 11/11/2026
6,99 kr.
5,89 kr.
5,34 kr.
4,18 kr.
Min.: 1
Mult.: 1
Wirewound Radial 8.8 mm x 7.5 mm Unshielded 1 mH 10 % 400 mA 3 Ohms 720 mA - 40 C + 85 C 2 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Power Inductors - Leaded 1.2 mH UnShld 10% 350mA 3.85ohms
300Expected 25/12/2026
6,99 kr.
5,89 kr.
5,34 kr.
4,18 kr.
Min.: 1
Mult.: 1
Radial Unshielded 1.2 mH 10 % 350 mA 3.85 Ohms - 40 C + 85 C 1.7 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Power Inductors - Leaded 120uH UnShld 10% 1.6A 240mOhms
300On Order
9,85 kr.
8,43 kr.
7,61 kr.
5,94 kr.
Min.: 1
Mult.: 1
Wirewound Radial 9.5 mm x 11.5 mm Unshielded 120 uH 10 % 1.6 A 240 mOhms 2.24 A - 40 C + 85 C 4.9 MHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Power Inductors - Leaded 3.3 mH UnShld 10% 290mA 7.1ohms
129Expected 09/11/2026
9,85 kr.
8,43 kr.
7,61 kr.
5,94 kr.
Min.: 1
Mult.: 1
Radial Unshielded 3.3 mH 10 % 290 mA 7.1 Ohms - 40 C + 85 C 880 kHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Power Inductors - Leaded 680uH UnShld 10% 660mA 1.3ohms
145Expected 05/02/2027
9,85 kr.
8,43 kr.
7,61 kr.
5,94 kr.
Min.: 1
Mult.: 1
Radial Unshielded 680 uH 10 % 660 mA 1.3 Ohms - 40 C + 85 C 1.7 MHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Power Inductors - Leaded 1.5 mH UnShld 10% 580mA 2.05ohms
450Expected 05/02/2027
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 1.5 mH 10 % 580 mA 2.05 Ohms 860 mA - 40 C + 85 C 1.2 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 220uH UnShld 10% 1.45A 335mOhms
247Expected 25/12/2026
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 220 uH 10 % 1.45 A 335 mOhms 2.25 A - 40 C + 85 C 3.1 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 3.3 mH UnShld 10% 380mA 4.75ohms
149Expected 30/11/2026
9,77 kr.
8,28 kr.
7,61 kr.
5,87 kr.
Min.: 1
Mult.: 1
Radial Unshielded 3.3 mH 10 % 380 mA 4.75 Ohms - 40 C + 85 C 750 kHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Power Inductors - Leaded 12uH UnShld 10% 3.6A 45mOhms Non-Stocked Lead-Time 12 Weeks
6,99 kr.
5,89 kr.
5,34 kr.
4,18 kr.
Min.: 1
Mult.: 1
Wirewound Radial 8.8 mm x 7.5 mm Unshielded 12 uH 10 % 3.6 A 45 mOhms 6.65 A - 40 C + 85 C 20 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray